#   (c) by zucKi    http://ircbot.bf-scene.de
#
#
#   DONT MODIFY THIS FILE
#   You are free to use this class for your modules
#   You are not allowed to distribute this file with your modules
###################################################################

import string 

vehicleTypeMap = {
        "aav_tunguska"                              : 0,
        "aav_tunguska_cupolabase"                   : 1,
        "aav_type95"                                : 2,
        "aav_type95_passenger"                      : 3,
        "ahe_ah1z"                                  : 4,
        "ahe_ah1z_cogunner"                         : 5,
        "ahe_havoc"                                 : 6,
        "ahe_havoc_cogunner"                        : 7,
        "ahe_z10"                                   : 8,
        "ahe_z10_cogunner"                          : 9,
        "air_f35b"                                  : 10,
        "air_j10"                                   : 11,
        "air_su30mkk"                               : 12,
        "air_su30mkk_gunner"                        : 13,
        "apc_btr90"                                 : 14,
        "apc_btr90_passenger_rf"                    : 15,
        "apc_btr90_passenger_lf"                    : 16,
        "apc_btr90_passenger_rb"                    : 17,
        "apc_btr90_passenger_lb"                    : 18,
        "apc_wz551"                                 : 19,
        "apc_wz551_rearpassenger_left"              : 20,
        "apc_wz551_rearpassenger_stern"             : 21,
        "apc_wz551_rearpassenger_right_front"       : 22,
        "apc_wz551_rearpassenger_right_rear"        : 23,
        "ats_tow"                                   : 24,
        "ats_hj8"                                   : 25,
        "boat_rib"                                  : 26,
        "boat_rib_gunpod"                           : 27,
        "boat_rib_passengerfrontleft_cupolabase"    : 28,
        "boat_rib_passengerfrontright_cupolabase"   : 29,
        "boat_rib_passengerrearleft_cupolabase"     : 30,
        "boat_rib_passengerrearright_cupolabase"    : 31,
        "ch_bipod"                                  : 32,
        "chthe_z8"                                  : 33,
        "chthe_z8_llavett_cupolabase"               : 34,
        "chthe_z8_rlavett_cupolabase"               : 35,
        "chthe_z8_rpassenger"                       : 36,
        "chthe_z8_lpassenger"                       : 37,
        "chthe_z8_rearpassenger"                    : 38,
        "igla_djigit"                               : 39,
        "jeep_faav"                                 : 40,
        "jeep_faav_rear_passenger"                  : 41,
        "jeep_faav_front_gun"                       : 42,
        "jep_mec_paratrooper"                       : 43,
        "jep_mec_paratrooper_gunbase"               : 44,
        "jep_mec_front_gunpos"                      : 45,
        "jep_nanjing"                               : 46,
        "jep_nanjing_cupolabase"                    : 47,
        "jep_nanjing_passenger_rr"                  : 48,
        "jep_nanjing_passenger_rl"                  : 49,
        "jep_paratrooper"                           : 50,
        "jep_paratrooper_gunbase"                   : 51,
        "jep_paratrooper_front_gunpos"              : 52,
        "jep_vodnik"                                : 53,
        "jep_vodnik_cupolabase"                     : 54,
        "jep_vodnik_codriver"                       : 55,
        "jep_vodnik_rearpassenger"                  : 56,
        "ladder_container"                          : 57,
        "mec_bipod"                                 : 58,
        "ruair_mig29"                               : 59,
        "ruair_su34"                                : 60,
        "ruair_su34_copilot"                        : 61,
        "rutnk_t90"                                 : 62,
        "rutnk_t90_cupolabase"                      : 63,
        "the_mi17"                                  : 64,
        "the_mi17_llavett_cupolabase"               : 65,
        "the_mi17_rlavett_cupolabase"               : 66,
        "the_mi17_cargo_passenger_left"             : 67,
        "the_mi17_cargo_passenger_right"            : 68,
        "the_mi17_cargo_passenger_middle"           : 69,
        "tnk_type98"                                : 70,
        "tnk_type98_cupolabase"                     : 71,
        "us_bipod"                                  : 72,
        "usaav_m6"                                  : 73,
        "usaav_m6_cupolabase"                       : 74,
        "usair_f15"                                 : 75,
        "usair_f15_guidedmissilecontroller"         : 76,
        "usair_f18"                                 : 77,
        "usapc_lav25"                               : 78,
        "usapc_lav25_rearpassenger_l"               : 79,
        "usapc_lav25_rearpassenger_r"               : 80,
        "usapc_lav25_rearpassenger_bl"              : 81,
        "usapc_lav25_rearpassenger_br"              : 82,
        "usjep_hmmwv"                               : 83,
        "usjep_hmmwv_cupolabase"                    : 84,
        "usjep_hmmwv_codriver"                      : 85,
        "usjep_hmmwv_rear_passenger"                : 86,
        "usthe_uh60"                                : 87,
        "usthe_uh60_left_gunner"                    : 88,
        "usthe_uh60_right_gunner"                   : 89,
        "usthe_uh60_copilot"                        : 90,
        "usthe_uh60_passenger2"                     : 91,
        "usthe_uh60_passenger1"                     : 92,
        "ustnk_m1a2"                                : 93,
        "ustnk_m1a2_cupolabase"                     : 94,
        "civiliancar2"                              : 95,
        "truck1"                                    : 96,
        "usaas_stinger"                             : 97
}

weaponTypeMap = {
	"usrif_m16a2"		                : 1000,
	"rurif_ak101"		                : 1001,
	"rurif_ak47"		                : 1002,
	"usrif_sa80"		                : 1003,
	"usrif_g3a3"		                : 1004,
	"usrif_m203"		                : 1005,
	"rurif_gp30"		                : 1006,
	"rurif_gp25"		                : 1007,
	"usrgl_m203"		                : 1008,
	"rurgl_gp30"		                : 1009,
	"rurgl_gp25"		                : 1010,
	"rurrif_ak74u"		                : 1011,
	"usrif_m4"		                : 1012,
	"rurif_ak74u"		                : 1013,
	"chrif_type95"		                : 1014,
	"usrif_g36c"		                : 1015,
	"uslmg_m249saw"		                : 1016,
	"rulmg_rpk74"		                : 1017,
	"chlmg_type95"		                : 1018,
	"rulmg_pkm"		                : 1019,
	"usrif_m24"		                : 1020,
	"rurif_dragunov"	                : 1021,
	"chsni_type88"		                : 1022,
	"ussni_m82a1"		                : 1023,
	"ussni_m95_barret"	                : 1024,
	"uspis_92fs"		                : 1025,
	"uspis_92fs_silencer"	                : 1026,
	"rupis_baghira"                         : 1027,
	"rupis_baghira_silencer"                : 1028,
	"chpis_qsz92"		                : 1029,
	"chpis_qsz92_silencer"	                : 1030,
	"usatp_predator"	                : 1031,
	"chat_eryx"		                : 1032,
	"usrif_mp5_a3"		                : 1033,
	"rurif_bizon"		                : 1034,
	"chrif_type85"		                : 1035,
	"usrif_remington11-87"	                : 1036,
	"rusht_saiga12"		                : 1037,
	"chsht_norinco982"	                : 1038,
	"chsht_protecta"	                : 1039,
	"ussht_jackhammer"	                : 1040,
	"kni_knife"		                : 1041,
	"c4_explosives"		                : 1042,
	"ushgr_m67"		                : 1043,
	"usmin_claymore"	                : 1044,
	"defibrillator"		                : 1045,
	"at_mine"		                : 1046,
	"simrad"		                : 1047,
        "aas_seasparrow"                        : 1048,
        "aas_phalanx"                           : 1049,
        "aav_tunguska_gun"                      : 1050,
        "aav_tunguska_sa19launcher"             : 1051,
        "aav_type95_qw2launcher"                : 1052,
        "aav_type95guns"                        : 1053,
        "ahe_ah1z_cogunner_hellfirelaunchertv"  : 1054,
        "ahe_ah1z_hydralauncher"                : 1055,
        "ahe_ah1z_gun"                          : 1056,
        "ahe_havoc_atakalauncher_tv"            : 1057,
        "ahe_havoc_gun"                         : 1058,
        "ahe_havoc_s8launcher"                  : 1059,
        "ahe_z10_gun"                           : 1060,
        "ahe_z10_hj8launcher_tv"                : 1061,
        "ahe_z10_s8launcher"                    : 1062,
        "air_f35b_autocannon"                   : 1063,
        "air_f35b_bomblauncher"                 : 1064,
        "air_f35b_sidewinderlauncher"           : 1065,
        "air_j10_archerlauncher"                : 1066,
        "air_j10_bomblauncher"                  : 1067,
        "air_j10_cannon"                        : 1068,
        "air_su34mkk_bomblauncher"              : 1069,
        "air_su30mkk_30mmcannon"                : 1070,
        "air_su30mkk_archerlauncher"            : 1071,
        "air_su30mkk_kedgelauncher_laser"       : 1072,
        "air_su30mkk_kedgelauncher_wire"        : 1073,
        "apc_btr90__barrel"                     : 1074,
        "apc_btr90_hj8launcher"                 : 1075,
        "apc_wz551_barrel"                      : 1076,
        "apc_wz551_hj8launcher"                 : 1077,
        "ars_d30_barrel"                        : 1079,
        "chhmg_kord"                            : 1080,
        "coaxial_browning"                      : 1081,
        "coaxial_mg_china"                      : 1082,
        "coaxial_mg_mec"                        : 1083,
        "f18_autocannon"                        : 1084,
        "f18_sidewinderlauncher"                : 1085,
        "firingport_ak"                         : 1086,
        "firingport_m16"                        : 1087,
        "hhmg_kord"                             : 1088,
        "hmg_m134_gun"                          : 1089,
        "hmg_m2hb"                              : 1090,
        "ruair_archerlauncher"                  : 1091,
        "ruair_mig29_30mmcannon"                : 1092,
        "ruair_mig29_bomblauncher_1"            : 1093,
        "ruair_su34_250kgbomblauncher"          : 1094,
        "ruair_su34_30mmcannon"                 : 1095,
        "ruair_su34_archerlauncher"             : 1096,
        "ruair_su34_kedgelauncherlaser"         : 1097,
        "ruair_su34_kedgelaunchertv"            : 1098,
        "rutnk_t90_barrel"                      : 1099,
        "tnk_type98_barrel"                     : 1100,
        "usaas_stinger_launcher"                : 1101,
        "usaav_m6_barrel"                       : 1102,
        "usaav_m6_stinger_launcher"             : 1103,
        "usapc_lav25_barrel"                    : 1104,
        "usapc_lav25_towlauncher"               : 1105,
        "usart_lw155_barrel"                    : 1106,
        "usair_f15_250kgbomblauncher"           : 1107,
        "usair_f15_autocannon"                  : 1108,
        "usair_f15_mavericklauncherlaser"       : 1109,
        "usair_f15_mavericklaunchertv"          : 1110,
        "usair_f15_sidewinderlauncher"          : 1111,
        "usair_f18_bomblauncher"                : 1112,
        "ustnk_m1a2_barrel"                     : 1113,
        "ats_hj8_launcher"                      : 1114,
        "ats_tow_launcher"                      : 1115,
        "chhmg_type85"                          : 1116,
        "chlmg_type95_stationary"               : 1117,
        "igla_djigit_Launcher"                  : 1118,
        "rulmg_rpk74_stationary"                : 1119,
        "uslmg_m249saw_stationary"              : 1120,
        "hgr_smoke"                             : 1121  #yep, you can kill someone with a smoke :)
}

kitMap = {
    "ch_medic"      : 1,
    "us_medic"      : 2,
    "mec_medic"     : 3,
    "ch_specops"    : 4,
    "us_specops"    : 5,
    "mec_specops"   : 6,
    "ch_engineer"   : 7,
    "us_engineer"   : 8,
    "mec_engineer"  : 9,
    "ch_assault"    : 10,
    "us_assault"    : 11,
    "mec_assault"   : 12,
    "ch_at"         : 13,
    "us_at"         : 14,
    "mec_at"        : 15,
    "ch_support"    : 16,
    "us_support"    : 17,
    "mec_support"   : 18,
    "ch_sniper"     : 19,
    "us_sniper"     : 20,
    "mec_sniper"    : 21
}

mapMap = {
    "kubra_dam"             : 0,
    "mashtuur_city"	    : 1,
    "operation_clean_sweep" : 2,
    "zatar_wetlands"	    : 3,
    "strike_at_karkand"     : 4,
    "sharqi_peninsula"      : 5,
    "gulf_of_oman"          : 6,
    "daqing_oilfields"      : 100,
    "dalian_plant"          : 101,
    "dragon_valley"         : 102,
    "fushe_pass"            : 103,
    "hingan_hills"          : 104,
    "songhua_stalemate"     : 105
}

def getWeaponIndex(weapon_name):
    try:
        weapon_index = weaponTypeMap[string.lower(weapon_name)]
    except KeyError:
        return -1
    return weapon_index

def getVehicleIndex(vehicle_name):
    try:
        weapon_index = vehicleTypeMap[string.lower(vehicle_name)]
    except KeyError:
        return -1
    return weapon_index

def getKitIndex(kit_name):
    try:
        kit_index = kitMap[string.lower(kit_name)]
    except KeyError:
        return -1
    return kit_index

def getMapIndex(map_name):
    try:
        map_index = mapMap[string.lower(map_name)]
    except KeyError:
        return -1
    return map_index
